<?php  //$Id: settings.php,v 1.1.2.2 2007/12/19 17:38:41 skodak Exp $
defined('MOODLE_INTERNAL') || die;
require_once($CFG->dirroot.'/mod/copysafevideo/set.php');

//$settings->add(new admin_setting_heading('CopysafeVideo_method_heading', 'List of Uploaded Class files',
               //get_wpcsv_uploadfile_list()));

$settings->add(new admin_setting_heading('CopysafeVideo_normal_heading', 'Settings','Default settings applied to all protected pages:'));

$options = array();
$options[0]  = 'Demo Mode';
$options[1] = 'Licensed';
$options[2] = 'Debugging Mode';
$settings->add(new admin_setting_configselect('CopysafeVideo_mode','Mode:', '','', $options));

$settings->add(new admin_setting_configtext('CopysafeVideo_width', 'Width - in pixels:', '', '600'));

$settings->add(new admin_setting_configtext('CopysafeVideo_height', 'Height - in pixels:', '', '400'));

$settings->add(new admin_setting_configcheckbox('CopysafeVideo_allowremote', 'AllowRemote:', '', ''));

$settings->add(new admin_setting_heading('CopysafeVideo_browser_heading', 'Browser allowed',''));

$settings->add(new admin_setting_configcheckbox('CopysafeVideo_allowasps', 'Allow ArtisBrowser:', '', '1'));

$settings->add(new admin_setting_configcheckbox('CopysafeVideo_allowchrome', 'Allow Chrome:', get_string('testonlybyadmin', 'copysafevideo'), ''));

$settings->add(new admin_setting_configcheckbox('CopysafeVideo_allowfirefox', 'Allow Firefox:', get_string('testonlybyadmin', 'copysafevideo'), ''));

$settings->add(new admin_setting_configtext('CopysafeVideo_version', get_string('minimumversion', 'copysafevideo'), '', '30.00'));

$settings->add(new admin_setting_heading('CopysafeVideo_watermark_heading', 'Watermark settings',''));
$options = array();
$options[0]  = 'off';
$options[1] = 'on';
$settings->add(new admin_setting_configselect('CopysafeVideo_watermark','Enabled:', '','', $options));

$options = array();
$options[10]  = '10';
$options[15]  = '15';
$options[20]  = '20';
$options[25]  = '25';
$options[30]  = '30';
$options[35]  = '35';
$options[40]  = '40';
$settings->add(new admin_setting_configselect('CopysafeVideo_fontsize','Text Size: (in Px)', '','', $options));

$options = array();
$options['FFFFFF']  = 'White';
$options['FF3333']  = 'Red';
$options['FFFF00']  = 'Yellow';
$options['00FF00']  = 'Green';
$options['00FFFF']  = 'Blue';
$settings->add(new admin_setting_configselect('CopysafeVideo_color','Color', '','', $options));

$options = array();
$options[0]  = 'Center';
$options[1]  = 'Bottom';
$options[2]  = 'Top';
$options[3]  = 'TopLeft';
$options[4]  = 'TopRight';
$options[5]  = 'BottomLeft';
$options[6]  = 'BottomRight';
$settings->add(new admin_setting_configselect('CopysafeVideo_position','Position:', '','', $options));

$options = array();
$options[9]  = '100% (opaque)';
$options[8]  = '90%';
$options[7]  = '80%';
$options[6]  = '70%';
$options[5]  = '60%';
$options[4]  = '50%';
$options[3]  = '40%';
$options[2]  = '30%';
$options[1]  = '20%';
$options[0]  = '10%';
$settings->add(new admin_setting_configselect('CopysafeVideo_transparency','Transparency:', '','', $options))
?>
